@charset "UTF-8";

/* ウェブフォントの読み込み */
@import url('https://fonts.googleapis.com/css2?family=M+PLUS+1&family=Pacifico&family=Yusei+Magic&display=swap');

/* 全体に適用する */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'M PLUS 1', sans-serif;
    font-weight: normal;
}

/* 共通 */
:root {
    --light-color: #fff;
    --bg-color: #ffffe0;
    --dark-color: #4b4b4c;
    --color: #8ca6a4;
    --color2: #f8c493;
    --color3: #ef857d;
    --ja-font: 'Yusei Magic', sans-serif;
    --en-font: 'Pacifico', 'Yusei Magic', sans-serif;
}

/* 基本設定 */
body {
    background: var(--bg-color);
    line-height: 1.7;
    letter-spacing: 0.1em;
    text-align: center;
    font-size: 12px;
    color: var(--dark-color);
}

/* リンク */
a {
    font-weight: bold;
    color: var(--color3);
}

header {
    position: relative;
    margin: 3em auto;
    width: 330px;
}

header::before,
header::after {
    position: absolute;
    display: block;
    content: '';
    font-size: 2em;
    color: var(--color2);
}

header::before {
    top: 60px;
    right: 50px;
}

header::after {
    top: 50px;
    right: 90px;
}

header,
section,
article {
    text-align: justify;
    word-break: break-all;
    line-break: strict;
}

header img {
    width: 150px;
    height: auto;
}

header h1 {
    position: relative;
    margin-top: -60px;
    text-align: center;
}

header h1::before {
    position: absolute;
    display: block;
    content: 'Lemon Soda';
    top: -70%;
    left: 50%;
    width: 100%;
    z-index: -1;
    transform: translateX(-50%);
    text-shadow: 0 0 2px var(--color2);
    font-size: 2.5em;
    font-family: var(--en-font);
    color: var(--light-color);
}

header h1,
header h1 span {
    font-family: var(--ja-font);
}

header h1 span:nth-of-type(1) {
    font-size: 1.5em;
    color: var(--color);
}

header h1 span:nth-of-type(2) {
    border-bottom: 3px solid var(--color2);
    vertical-align: super;
    color: var(--color2);
}

aside {
    position: relative;
    margin: 3em auto;
    padding: 1em;
    border: thin solid var(--color);
    background-color: var(--bg-color);
}

aside,
main {
    width: 80%;
    max-width: 500px;
}

aside::before {
    position: absolute;
    display: block;
    content: '';
    top: 10px;
    left: 10px;
    z-index: -1;
    width: 100%;
    height: 100%;
    border: thin solid var(--color);
}

aside h2,
section h2 {
    font-family: var(--en-font);
    color: var(--color);
}

main {
    margin: 5em auto 3em;
    padding: 1.5em;
    border-top: 10px dotted var(--color2);
    border-bottom: 10px dotted var(--color2);
    background-color: var(--light-color);
}

section h2 {
    margin-bottom: 0.5em;
}

section h3 {
    border-bottom: thin solid var(--color);
    font-family: var(--en-font);
}

section ul,
section ol {
    list-style-position: inside;
    margin-bottom: 1em;
}

section ul.yoko li {
    display: inline-block;
    margin-right: 1em;
}

section .box {
    padding: 1em;
    border: thin solid var(--color);
}

section .box ul {
    margin-bottom: 0;
}

section ul.clear {
    list-style-type: none;
}

/* アーティクル */
article {
    margin: 0 auto;
    padding: 3em;
    max-width: 600px;
}

/* アーティクル見出し */
article h1 {
    margin-bottom: 0.5em;
    border-bottom: thin dashed var(--color);
    font-family: var(--ja-font);
    color: var(--color);
}

article {
    background-color: var(--light-color);
}

/* メニュー */
.menu {
    text-align: center;
    margin: 1em auto 0;
}

.menu li {
    display: inline-block;
    margin: 0 0.5em;
}

.menu li a {
    text-decoration: none;
}

/* フォーム系 */
textarea,
input[type] {
    -webkit-appearance: none;
    padding: 0.5em;
    background: var(--color);
    border: none;
    border-radius: 0;
    font-size: 11px;
    color: #fff;
}

textarea {
    width: 200px;
    height: 70px;
}

input[type=text] {
    width: 80px;
}

input[type=submit] {
    width: auto;
}

/* 横幅768px以上で読み込む */
@media screen and (min-width:768px) {
    body {
        font-size: 14px;
    }
}

/* 横幅1024px以上で読み込む */
@media screen and (min-width:1024px) {
    body {
        font-size: 15px;
    }
}

/* 横幅1440px以上で読み込む */
@media screen and (min-width:1440px) {
    body {
        font-size: 16px;
    }
}